# Paradise Lost
[![Code license (GNU GPL 3.0)](https://img.shields.io/github/license/devs-immortal/Paradise-Lost)](https://github.com/devs-immortal/Paradise-Lost/blob/0.2.0/1.19/master/LICENSE.md)
[![Asset license (Unlicensed)](https://img.shields.io/badge/assets%20license-All%20Rights%20Reserved-red.svg?style=flat)](https://creativecommons.org/licenses/by-sa/4.0/)
[![Github all releases](https://img.shields.io/github/downloads/kalucky0/The-Aether/total.svg?logoColor=FFFFFF&logo=github)](https://github.com/devs-immortal/The-Aether/releases/)

**Is this official?**

Paradise Lost is an unofficial reimagining of the original Aether mod, developed by Gilded Games (GG). 
We are a team separate from GG looking to adapt the original concepts of The Aether to modern Minecraft's updated design concepts, and give the mod a fresh set of textures to match. As a Fabric mod we're looking to take advantage of Fabric's quick updates to the latest versions to keep Paradise Lost usable with the newest Minecraft and stay up-to-date.

**What is The Aether?**

The Aether is a dimension high in the sky composed of floating islands. 
Ascend through a Glowstone portal and begin a new survival adventure packed with new ores, structures to explore, mythical creatures, and perilous dungeons. Build a Glowstone frame and add water to light the mystical portal, step in and be transported to the beautiful but hostile paradise known as the Aether.
This tranquil oasis is the polar opposite of the Nether, filled with lush trees and foliage, and populated by unique and exotic mobs, both hostile and friendly. The Aether is deceptively charming, and the further you explore, the darker its secrets get. Mine new ores, craft new gear, explore hidden temples and dungeons, and battle to claim The Aether as your own.

You can download the mod on [Modrinth](https://modrinth.com/mod/paradise-lost), [CurseForge](https://www.curseforge.com/minecraft/mc-mods/paradise-lost), or in the [releases tab](https://github.com/devs-immortal/Paradise-Lost/releases) on Github.

**Original repo:** [GildedGames/The-Aether](https://github.com/Gilded-Games/The-Aether)

## Support
[![Discord](https://img.shields.io/discord/770691727568404521.svg?logoColor=FFFFFF&logo=discord&color=7289DA)](https://discord.com/invite/wmMa47n)
[![Support on Patreon](https://img.shields.io/badge/Support%20on-Patreon-orange?logoColor=FFFFFF&logo=patreon)](https://www.patreon.com/kalucky0)
[![Support on Ko-Fi](https://img.shields.io/badge/Support%20on-Ko--Fi-blue?logoColor=FFFFFF&logo=ko-fi)](https://ko-fi.com/kalucky0)

You can support our work by [making a pledge](https://www.patreon.com/kalucky0) today helping fund development and gaining access to special perks. You can also support the Aether project and **Gilded Games** on [their Patreon](https://www.patreon.com/GildedGames).

## Translations
[![Crowdin](https://badges.crowdin.net/aether/localized.svg)](https://crowdin.com/project/aether)

Paradise Lost makes use of crowd sourced translations. 

**You can help translate Paradise Lost to additional languages here: [crowdin.com](https://crowdin.com/project/aether).**

## Gallery

| <img src="https://user-images.githubusercontent.com/53229958/120235847-8faaa780-c220-11eb-98e5-c288cb01c475.png" width="570"> | <img src="https://user-images.githubusercontent.com/53229958/120235855-92a59800-c220-11eb-994f-889c843beb5b.png" width="570"> |
| --- | --- |
| <img src="https://user-images.githubusercontent.com/53229958/120235859-93d6c500-c220-11eb-86bc-5fac972ed2eb.png" width="570"> | <img src="https://user-images.githubusercontent.com/53229958/120235863-946f5b80-c220-11eb-99e6-98c03a79a29a.png" width="570"> |
| <img src="https://user-images.githubusercontent.com/53229958/120235865-95a08880-c220-11eb-8003-5904088b0fcf.png" width="570"> | <img src="https://user-images.githubusercontent.com/53229958/120235868-96391f00-c220-11eb-9cd1-9186fc07d37a.png" width="570"> |

## License information
Created by Immortal Devs.\
Inspired by [Gilded Games' The Aether](https://github.com/Gilded-Games/The-Aether), which uses the GNU GPLv3 license.\
Assets are all rights are reserved by Immortal Devs.

You can find out more information about the license [here](https://github.com/devs-immortal/Paradise-Lost/blob/0.2.0/1.19/master/LICENSE.md).

<a href="https://www.curseforge.com/minecraft/mc-mods/fabric-api" target="_blank"><img alt="Fabric API - Mods - Minecraft - CurseForge" src="https://i.imgur.com/Ol1Tcf8.png" height="48"></a>&nbsp;&nbsp;<a href="https://www.curseforge.com/minecraft/mc-mods/trinkets" target="_blank"><img alt="Trinkets (Fabric) - Mods - Minecraft - CurseForge" src="https://kalucky0.b-cdn.net/trinkets.webp" height="48"></a>
